package cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.invoice;

import java.math.BigDecimal;
import java.util.Date;

public class QchjcInvoiceApplyEntity {
    private Long id;

    private Integer accountingOrderType;

    private Long accountingOrderId;

    private String accountingOrderSn;

    private Integer dimCreateBy;

    private String invoiceSn;

    private String invoiceApplySn;

    private BigDecimal invoiceApplyAmount;

    private BigDecimal freeAmount;

    private BigDecimal unAccountingAmount;

    private BigDecimal jcUnAccountingAmount;

    private BigDecimal realAmount;

    private BigDecimal noCheckCount;

    private String taxRate;

    private Long sysEnterpriseExtInvoiceId;

    private Long invoiceType;

    private String invoiceMode;

    private Integer invoiceState;

    private String companyName;

    private String invoiceSendEmail;

    private String taxPayersIDCode;

    private Integer invoiceContent;

    private Integer selectedInvoiceTitle;

    private String invoiceName;

    private String invoicePhone;

    private String invoiceEmail;

    private String contactsName;

    private String contactsEmail;

    private String contactsPhone;

    private Integer invoiceProvice;

    private Integer invoiceCity;

    private Integer invoiceCounty;

    private String invoiceAddress;

    private String invoiceAddressPhone;

    private String invoiceBankAccountNumber;

    private String invoiceBank;

    private String invoiceAccount;

    private String applyUserId;

    private String applyUserName;

    private Date applyTime;

    private Long auditUserId;

    private Integer auditStatus;

    private Date auditTime;

    private Integer invoiceStatus;

    private Long invoiceProgressingUserId;

    private Date invoiceProgressingTime;

    private String makeInvoiceUserId;

    private Integer makeInvoiceStatus;

    private Date makeInvoiceTime;

    private Integer receiveInvoiceStatus;

    private Long receiveInvoiceUserId;

    private Date receiveInvoiceTime;

    private String invoiceNumber;

    private String mailTickUserId;

    private Integer mailTickStatus;

    private Date mailTickTime;

    private Integer backAccountStatus;

    private Integer backAccountModeRecord;

    private Long backAccountUserId;

    private Date backAccountTime;

    private String remark;

    private String remark2;

    private Integer serviceId;

    private String serviceNo;

    private String serviceName;

    private Long sysOrgId;

    private Long sysVirtId;

    private Long outOrgId;

    private String outVirtId;

    private Date updateTime;

    private String updateUserId;

    private Date syncTime;

    private Integer storageStatus;

    private Date storageTime;

    private Integer jcOrderCount;

    private Integer unifiedOrderCount;

    private String sysEnterpriseExtInvoiceSnapshot;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getAccountingOrderType() {
        return accountingOrderType;
    }

    public void setAccountingOrderType(Integer accountingOrderType) {
        this.accountingOrderType = accountingOrderType;
    }

    public Long getAccountingOrderId() {
        return accountingOrderId;
    }

    public void setAccountingOrderId(Long accountingOrderId) {
        this.accountingOrderId = accountingOrderId;
    }

    public String getAccountingOrderSn() {
        return accountingOrderSn;
    }

    public void setAccountingOrderSn(String accountingOrderSn) {
        this.accountingOrderSn = accountingOrderSn;
    }

    public Integer getDimCreateBy() {
        return dimCreateBy;
    }

    public void setDimCreateBy(Integer dimCreateBy) {
        this.dimCreateBy = dimCreateBy;
    }

    public String getInvoiceSn() {
        return invoiceSn;
    }

    public void setInvoiceSn(String invoiceSn) {
        this.invoiceSn = invoiceSn;
    }

    public String getInvoiceApplySn() {
        return invoiceApplySn;
    }

    public void setInvoiceApplySn(String invoiceApplySn) {
        this.invoiceApplySn = invoiceApplySn;
    }

    public BigDecimal getInvoiceApplyAmount() {
        return invoiceApplyAmount;
    }

    public void setInvoiceApplyAmount(BigDecimal invoiceApplyAmount) {
        this.invoiceApplyAmount = invoiceApplyAmount;
    }

    public BigDecimal getFreeAmount() {
        return freeAmount;
    }

    public void setFreeAmount(BigDecimal freeAmount) {
        this.freeAmount = freeAmount;
    }

    public BigDecimal getUnAccountingAmount() {
        return unAccountingAmount;
    }

    public void setUnAccountingAmount(BigDecimal unAccountingAmount) {
        this.unAccountingAmount = unAccountingAmount;
    }

    public BigDecimal getJcUnAccountingAmount() {
        return jcUnAccountingAmount;
    }

    public void setJcUnAccountingAmount(BigDecimal jcUnAccountingAmount) {
        this.jcUnAccountingAmount = jcUnAccountingAmount;
    }

    public BigDecimal getRealAmount() {
        return realAmount;
    }

    public void setRealAmount(BigDecimal realAmount) {
        this.realAmount = realAmount;
    }

    public BigDecimal getNoCheckCount() {
        return noCheckCount;
    }

    public void setNoCheckCount(BigDecimal noCheckCount) {
        this.noCheckCount = noCheckCount;
    }

    public String getTaxRate() {
        return taxRate;
    }

    public void setTaxRate(String taxRate) {
        this.taxRate = taxRate;
    }

    public Long getSysEnterpriseExtInvoiceId() {
        return sysEnterpriseExtInvoiceId;
    }

    public void setSysEnterpriseExtInvoiceId(Long sysEnterpriseExtInvoiceId) {
        this.sysEnterpriseExtInvoiceId = sysEnterpriseExtInvoiceId;
    }

    public Long getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(Long invoiceType) {
        this.invoiceType = invoiceType;
    }

    public String getInvoiceMode() {
        return invoiceMode;
    }

    public void setInvoiceMode(String invoiceMode) {
        this.invoiceMode = invoiceMode;
    }

    public Integer getInvoiceState() {
        return invoiceState;
    }

    public void setInvoiceState(Integer invoiceState) {
        this.invoiceState = invoiceState;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getInvoiceSendEmail() {
        return invoiceSendEmail;
    }

    public void setInvoiceSendEmail(String invoiceSendEmail) {
        this.invoiceSendEmail = invoiceSendEmail;
    }

    public String getTaxPayersIDCode() {
        return taxPayersIDCode;
    }

    public void setTaxPayersIDCode(String taxPayersIDCode) {
        this.taxPayersIDCode = taxPayersIDCode;
    }

    public Integer getInvoiceContent() {
        return invoiceContent;
    }

    public void setInvoiceContent(Integer invoiceContent) {
        this.invoiceContent = invoiceContent;
    }

    public Integer getSelectedInvoiceTitle() {
        return selectedInvoiceTitle;
    }

    public void setSelectedInvoiceTitle(Integer selectedInvoiceTitle) {
        this.selectedInvoiceTitle = selectedInvoiceTitle;
    }

    public String getInvoiceName() {
        return invoiceName;
    }

    public void setInvoiceName(String invoiceName) {
        this.invoiceName = invoiceName;
    }

    public String getInvoicePhone() {
        return invoicePhone;
    }

    public void setInvoicePhone(String invoicePhone) {
        this.invoicePhone = invoicePhone;
    }

    public String getInvoiceEmail() {
        return invoiceEmail;
    }

    public void setInvoiceEmail(String invoiceEmail) {
        this.invoiceEmail = invoiceEmail;
    }

    public String getContactsName() {
        return contactsName;
    }

    public void setContactsName(String contactsName) {
        this.contactsName = contactsName;
    }

    public String getContactsEmail() {
        return contactsEmail;
    }

    public void setContactsEmail(String contactsEmail) {
        this.contactsEmail = contactsEmail;
    }

    public String getContactsPhone() {
        return contactsPhone;
    }

    public void setContactsPhone(String contactsPhone) {
        this.contactsPhone = contactsPhone;
    }

    public Integer getInvoiceProvice() {
        return invoiceProvice;
    }

    public void setInvoiceProvice(Integer invoiceProvice) {
        this.invoiceProvice = invoiceProvice;
    }

    public Integer getInvoiceCity() {
        return invoiceCity;
    }

    public void setInvoiceCity(Integer invoiceCity) {
        this.invoiceCity = invoiceCity;
    }

    public Integer getInvoiceCounty() {
        return invoiceCounty;
    }

    public void setInvoiceCounty(Integer invoiceCounty) {
        this.invoiceCounty = invoiceCounty;
    }

    public String getInvoiceAddress() {
        return invoiceAddress;
    }

    public void setInvoiceAddress(String invoiceAddress) {
        this.invoiceAddress = invoiceAddress;
    }

    public String getInvoiceAddressPhone() {
        return invoiceAddressPhone;
    }

    public void setInvoiceAddressPhone(String invoiceAddressPhone) {
        this.invoiceAddressPhone = invoiceAddressPhone;
    }

    public String getInvoiceBankAccountNumber() {
        return invoiceBankAccountNumber;
    }

    public void setInvoiceBankAccountNumber(String invoiceBankAccountNumber) {
        this.invoiceBankAccountNumber = invoiceBankAccountNumber;
    }

    public String getInvoiceBank() {
        return invoiceBank;
    }

    public void setInvoiceBank(String invoiceBank) {
        this.invoiceBank = invoiceBank;
    }

    public String getInvoiceAccount() {
        return invoiceAccount;
    }

    public void setInvoiceAccount(String invoiceAccount) {
        this.invoiceAccount = invoiceAccount;
    }

    public String getApplyUserId() {
        return applyUserId;
    }

    public void setApplyUserId(String applyUserId) {
        this.applyUserId = applyUserId;
    }

    public String getApplyUserName() {
        return applyUserName;
    }

    public void setApplyUserName(String applyUserName) {
        this.applyUserName = applyUserName;
    }

    public Date getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(Date applyTime) {
        this.applyTime = applyTime;
    }

    public Long getAuditUserId() {
        return auditUserId;
    }

    public void setAuditUserId(Long auditUserId) {
        this.auditUserId = auditUserId;
    }

    public Integer getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(Integer auditStatus) {
        this.auditStatus = auditStatus;
    }

    public Date getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(Date auditTime) {
        this.auditTime = auditTime;
    }

    public Integer getInvoiceStatus() {
        return invoiceStatus;
    }

    public void setInvoiceStatus(Integer invoiceStatus) {
        this.invoiceStatus = invoiceStatus;
    }

    public Long getInvoiceProgressingUserId() {
        return invoiceProgressingUserId;
    }

    public void setInvoiceProgressingUserId(Long invoiceProgressingUserId) {
        this.invoiceProgressingUserId = invoiceProgressingUserId;
    }

    public Date getInvoiceProgressingTime() {
        return invoiceProgressingTime;
    }

    public void setInvoiceProgressingTime(Date invoiceProgressingTime) {
        this.invoiceProgressingTime = invoiceProgressingTime;
    }

    public String getMakeInvoiceUserId() {
        return makeInvoiceUserId;
    }

    public void setMakeInvoiceUserId(String makeInvoiceUserId) {
        this.makeInvoiceUserId = makeInvoiceUserId;
    }

    public Integer getMakeInvoiceStatus() {
        return makeInvoiceStatus;
    }

    public void setMakeInvoiceStatus(Integer makeInvoiceStatus) {
        this.makeInvoiceStatus = makeInvoiceStatus;
    }

    public Date getMakeInvoiceTime() {
        return makeInvoiceTime;
    }

    public void setMakeInvoiceTime(Date makeInvoiceTime) {
        this.makeInvoiceTime = makeInvoiceTime;
    }

    public Integer getReceiveInvoiceStatus() {
        return receiveInvoiceStatus;
    }

    public void setReceiveInvoiceStatus(Integer receiveInvoiceStatus) {
        this.receiveInvoiceStatus = receiveInvoiceStatus;
    }

    public Long getReceiveInvoiceUserId() {
        return receiveInvoiceUserId;
    }

    public void setReceiveInvoiceUserId(Long receiveInvoiceUserId) {
        this.receiveInvoiceUserId = receiveInvoiceUserId;
    }

    public Date getReceiveInvoiceTime() {
        return receiveInvoiceTime;
    }

    public void setReceiveInvoiceTime(Date receiveInvoiceTime) {
        this.receiveInvoiceTime = receiveInvoiceTime;
    }

    public String getInvoiceNumber() {
        return invoiceNumber;
    }

    public void setInvoiceNumber(String invoiceNumber) {
        this.invoiceNumber = invoiceNumber;
    }

    public String getMailTickUserId() {
        return mailTickUserId;
    }

    public void setMailTickUserId(String mailTickUserId) {
        this.mailTickUserId = mailTickUserId;
    }

    public Integer getMailTickStatus() {
        return mailTickStatus;
    }

    public void setMailTickStatus(Integer mailTickStatus) {
        this.mailTickStatus = mailTickStatus;
    }

    public Date getMailTickTime() {
        return mailTickTime;
    }

    public void setMailTickTime(Date mailTickTime) {
        this.mailTickTime = mailTickTime;
    }

    public Integer getBackAccountStatus() {
        return backAccountStatus;
    }

    public void setBackAccountStatus(Integer backAccountStatus) {
        this.backAccountStatus = backAccountStatus;
    }

    public Integer getBackAccountModeRecord() {
        return backAccountModeRecord;
    }

    public void setBackAccountModeRecord(Integer backAccountModeRecord) {
        this.backAccountModeRecord = backAccountModeRecord;
    }

    public Long getBackAccountUserId() {
        return backAccountUserId;
    }

    public void setBackAccountUserId(Long backAccountUserId) {
        this.backAccountUserId = backAccountUserId;
    }

    public Date getBackAccountTime() {
        return backAccountTime;
    }

    public void setBackAccountTime(Date backAccountTime) {
        this.backAccountTime = backAccountTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getRemark2() {
        return remark2;
    }

    public void setRemark2(String remark2) {
        this.remark2 = remark2;
    }

    public Integer getServiceId() {
        return serviceId;
    }

    public void setServiceId(Integer serviceId) {
        this.serviceId = serviceId;
    }

    public String getServiceNo() {
        return serviceNo;
    }

    public void setServiceNo(String serviceNo) {
        this.serviceNo = serviceNo;
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public Long getSysOrgId() {
        return sysOrgId;
    }

    public void setSysOrgId(Long sysOrgId) {
        this.sysOrgId = sysOrgId;
    }

    public Long getSysVirtId() {
        return sysVirtId;
    }

    public void setSysVirtId(Long sysVirtId) {
        this.sysVirtId = sysVirtId;
    }

    public Long getOutOrgId() {
        return outOrgId;
    }

    public void setOutOrgId(Long outOrgId) {
        this.outOrgId = outOrgId;
    }

    public String getOutVirtId() {
        return outVirtId;
    }

    public void setOutVirtId(String outVirtId) {
        this.outVirtId = outVirtId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }

    public Date getSyncTime() {
        return syncTime;
    }

    public void setSyncTime(Date syncTime) {
        this.syncTime = syncTime;
    }

    public Integer getStorageStatus() {
        return storageStatus;
    }

    public void setStorageStatus(Integer storageStatus) {
        this.storageStatus = storageStatus;
    }

    public Date getStorageTime() {
        return storageTime;
    }

    public void setStorageTime(Date storageTime) {
        this.storageTime = storageTime;
    }

    public Integer getJcOrderCount() {
        return jcOrderCount;
    }

    public void setJcOrderCount(Integer jcOrderCount) {
        this.jcOrderCount = jcOrderCount;
    }

    public Integer getUnifiedOrderCount() {
        return unifiedOrderCount;
    }

    public void setUnifiedOrderCount(Integer unifiedOrderCount) {
        this.unifiedOrderCount = unifiedOrderCount;
    }

    public String getSysEnterpriseExtInvoiceSnapshot() {
        return sysEnterpriseExtInvoiceSnapshot;
    }

    public void setSysEnterpriseExtInvoiceSnapshot(String sysEnterpriseExtInvoiceSnapshot) {
        this.sysEnterpriseExtInvoiceSnapshot = sysEnterpriseExtInvoiceSnapshot;
    }
}